import javax.naming.*;
import javax.naming.directory.*;

import java.util.Hashtable;

/**
 * Demonstrates how to search by specifying a URL.
 *
 * usage: java SearchURL
 */
class SearchURL {
    public static void main(String[] args) {

	try {
	    // Create initial context
	    DirContext ctx = new InitialDirContext();

	    // Perform search using URL
	    NamingEnumeration answer = ctx.search(
		"ldap://localhost:389/ou=People,o=JNDITutorial",
		"(sn=Geisel)", null);

	    // Print the answer
	    SearchWithAlias.printSearchEnumeration(answer);
	} catch (NamingException e) {
	    e.printStackTrace();
	}
    }
}
